Subject: Re: Can IIGS share drive with Mac?
From: [email-masked] (David Empson)
Date: Fri, 7 Nov 1997 21:01:03 +1300
Newsgroups: comp.sys.apple2

Devin Reade <[email-masked]> wrote:

> Is it possible to set up a Mac such that it will export a file system
> to the IIgs, when that filesystem is itself imported from another
> machine?

No.  AppleShare and File Sharing only allow sharing of locally mounted
volumes, and then only HFS ones.  (Possibly also ISO-9660 CD's.)

I tried mounting a DOS ZIP disk on my PowerMac, but the Mac wouldn't let
me share it.  The same goes for a ProDOS volume mounted on the Mac.
(This may be a limitation which only applies to PC Exchange; DOS Mounter
might permit this, but I have never tried).

One (somewhat messy) solution would be to use the Mac as a temporary
file store - log onto the Mac from the IIgs and transfer files as
required, then go to the Mac and transfer them to the main server (or
vice versa).  Not exactly convenient.

> In otherwords, something with the following topology:
> 
>       GS  <--LocalTalk-->  Mac  <--Ethernet-->  (Other file server)

There is another possible solution: if the "other file server" is also a
Macintosh, or is at least running as an AppleShare server, then you can
run Apple's "LocalTalk Bridge" software on the Mac.  This will allow
data to flow between the LocalTalk and Ethernet, and the IIgs should be
able to see the other server.

There may be problems doing this with a non-Apple server, such as
Windows NT or Novell Netware.  It depends how well they've implemented
the Appletalk Filing Protocol, and whether they included the stuff
required for an Apple II to access the server.

It won't work at all if the other server is accessed using another
protocol.

LocalTalk Bridge is a commercial product, about US$70, I believe.  It
should not be confused with "LaserWriter Bridge", which is a freeware
product that only supports sharing LaserWriters (or other Postscript
printers that work with the Apple LaserWriter driver) on a LocalTalk
network with computers on the Ethernet.

(LaserWriter Bridge is basically a crippled version of LocalTalk
Bridge.)

I've used LaserWriter Bridge to share an HP LaserJet 6MP with a Windows
NT server which was running the AppleShare support.  This then allowed
the printer to be accessed from all Windows 95 and NT computers on the
network.

-- 
David Empson
[email-masked]
Snail mail: P.O. Box 27-103, Wellington, New Zealand